﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;

namespace TV4Home.WebInterface.UI.Code
{
    public abstract class PageBase : Page
    {
        protected override void OnLoad(EventArgs e)
        {
            // get localized page title of the current content page
            string pageTitle = String.Format(Properties.Resources.CommonPageTitle, GetLocalResourceObject(@"Page_Title"));

            if (this.Master is WebSiteMaster)
                (this.Master as WebSiteMaster).PageTitle = pageTitle;
            else if (this.Master is DialogMasterPage)
                (this.Master as DialogMasterPage).PageTitle = pageTitle;

            base.OnLoad(e);
        }

        public virtual void UpdateUI()
        {
        }
    }
}
