﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Net;
using TV4Home.Server.TVEInteractionLibrary.Interfaces;

namespace TV4Home.WebInterface.UI.Code
{
    public static class Utils
    {
        public static class Misc
        {
            public static string WebsiteVersion
            {
                get
                {
                    return System.Reflection.Assembly.GetExecutingAssembly().GetName().Version.ToString();
                }
            }
        }

        public static string GetChannelLogoPath(WebChannel channel)
        {
            string channelName = channel.DisplayName;

            // fix up path
            foreach (char c in System.IO.Path.GetInvalidFileNameChars())
                channelName = channelName.Replace(c.ToString(), "");

            return "~/style/images/TVGuide/logos/" + channelName + ".png";
        }

        public static string GetYesNoFromBoolean(bool value)
        {
            return value ? Properties.Resources.YesString : Properties.Resources.NoString;
        }

        /// <summary>
        /// Kills the whole process-tree of a given process. This means that the process and all processes started by this process will be killed.
        /// </summary>
        /// <param name="processIdToKill">The process-id of the process whose tree should be killed.</param>
        public static void KillProcessTree(int processIdToKill)
        {
            System.Diagnostics.Process.Start("taskkill", "/F /T /PID " + processIdToKill).WaitForExit(5000);
        }
    }
}
